| Elektra 0.11.0

Static Public Attributes | List of all members
kdb::tools::GlobalPluginsBuilder Class Reference

Build global plugins. More...

`#include <backendbuilder.hpp>`

Inheritance diagram for kdb::tools::GlobalPluginsBuilder:

## Static Public Attributes
static const char *const | globalPluginsPath = "system:/elektra/globalplugins"
| Below this path is the configuration for global plugins.

## Additional Inherited Members
Public Member Functions inherited from kdb::tools::BackendBuilder
void | addPlugin (PluginSpec const &plugin)
| Add a plugin.
std::vector< std::string > | resolveNeeds (bool addRecommends=true)
| resolve all needs that were not resolved by adding plugins.

## Detailed Description

Build global plugins.

The documentation for this class was generated from the following files:

- backendbuilder.hpp
- backendbuilder.cpp